## org.h2.engine
Class UndoLogRecord

    java.lang.Object
      org.h2.engine.UndoLogRecord

    public class UndoLogRecord

extends java.lang.Object

An entry in a undo log.

Field Summary
`static short` `DELETE` Operation type meaning the row was deleted.
`static short` `INSERT` Operation type meaning the row was inserted.

Method Summary
`long` `getFilePos()` Get the position in the file.
`Row` `getRow()` Get the row that was deleted or inserted.
`Table` `getTable()` Get the table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSERT

    public static final short INSERT

  Operation type meaning the row was inserted.

  See Also:
    Constant Field Values

### DELETE

    public static final short DELETE

  Operation type meaning the row was deleted.

  See Also:
    Constant Field Values

Method Detail

### getTable

    public Table getTable()

  Get the table.

  Returns:
    the table

### getFilePos

    public long getFilePos()

  Get the position in the file.

  Returns:
    the file position

### getRow

    public Row getRow()

  Get the row that was deleted or inserted.

  Returns:
    the row